Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util.introspection
Class Introspector

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.introspection.IntrospectorBase
            |
            +--org.apache.commons.jexl.util.introspection.Introspector

public class Introspector
extends IntrospectorBase

This basic function of this class is to return a Method object for a particular class given the name of a method and the parameters to the method in the form of an Object[] The first time the Introspector sees a class it creates a class method map for the class in question. Basically the class method map is a Hashtable where Method objects are keyed by a concatenation of the method name and the names of classes that make up the parameters. For example, a method with the following signature: public void method(String a, StringBuffer b) would be mapped by the key: "method" + "java.lang.String" + "java.lang.StringBuffer" This mapping is performed for all the methods in a class and stored for

Since:
  1.0
Version:
  $Id: Introspector.java 398171 2006-04-29 14:57:29Z dion $

Field Summary
`static String` | `CACHEDUMP_MSG` define a public string so that it can be looked for if interested.

Fields inherited from class org.apache.commons.jexl.util.introspection.IntrospectorBase
`cachedClassNames, classMethodMaps`

Constructor Summary
`Introspector(Log logger)` Recieves our RuntimeServices object.

Method Summary
`protected void` | `clearCache()` Clears the classmap and classname caches, and logs that we did so.
`Method` | `getMethod(Class c, String name, Object[] params)` Gets the method defined by `name` and `params` for the Class `c`.

Methods inherited from class org.apache.commons.jexl.util.introspection.IntrospectorBase
`createClassMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHEDUMP_MSG

    public static final String CACHEDUMP_MSG

  define a public string so that it can be looked for if interested.

Constructor Detail

### Introspector

    public Introspector(Log logger)

  Recieves our RuntimeServices object.
  Parameters:
    `logger` - a `Log`.

Method Detail

### getMethod

    public Method getMethod(Class c,
                            String name,
                            Object[] params)
                     throws Exception

  Gets the method defined by `name` and `params` for the Class `c`.
  Overrides:
    `getMethod` in class `IntrospectorBase`
  Parameters:
    `c` - Class in which the method search is taking place
    `name` - Name of the method being searched for
    `params` - An array of Objects (not Classes) that describe the the parameters
  Returns:
    The desired Method object.
  Throws:
    `Exception` - if the superclass does.

### clearCache

    protected void clearCache()

  Clears the classmap and classname caches, and logs that we did so.
  Overrides:
    `clearCache` in class `IntrospectorBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.